# TdApi.InlineQueryResultContact (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InlineQueryResultContact

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineQueryResultContact

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineQueryResult
it.tdlight.jni.TdApi.InlineQueryResultContact

Enclosing class:
  TdApi

public static final class TdApi.InlineQueryResultContact extends TdApi.InlineQueryResult
Represents a user contact.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.Contact`
`contact`
A user contact.
`String`
`id`
Unique identifier of the query result.
`TdApi.Thumbnail`
`thumbnail`
Result thumbnail in JPEG format; may be null.

## Constructor Summary

Constructors
Constructor
Description
`InlineQueryResultContact()`
Represents a user contact.
`InlineQueryResultContact(DataInput input)`
Represents a user contact.
`InlineQueryResultContact(String id, TdApi.Contact contact, TdApi.Thumbnail thumbnail)`
Represents a user contact.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### contact

public TdApi.Contact contact
A user contact.

### thumbnail

public TdApi.Thumbnail thumbnail
Result thumbnail in JPEG format; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InlineQueryResultContact

public InlineQueryResultContact()
Represents a user contact.

### InlineQueryResultContact

public InlineQueryResultContact(String id, TdApi.Contact contact, TdApi.Thumbnail thumbnail)
Represents a user contact.

Parameters:
  `id` - String Unique identifier of the query result.
  `contact` - Contact A user contact.
  `thumbnail` - Thumbnail Result thumbnail in JPEG format; may be null.

### InlineQueryResultContact

public InlineQueryResultContact(DataInput input) throws IOException
Represents a user contact.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`